// *** CAR 2 MACRO ***

// *** car pieces ***
#include "i_car-textures.inc"
#include "i_car-body-2.inc" 
#include "i_car-wheel.inc"
#include "i_car-plate.inc"
#include "i_car-seat-front.inc"
#include "i_car-seat-back.inc"

// *** car assembly ***
#macro jvp_car_2(t_paint,wheels_angle)
union{
 object{car_body_2(t_paint) hollow scale <-1,1,1> scale 1.16 rotate 1.5*x translate .85*y}
 object{wheel(5,0) scale .0125 translate <-.75,.35,-1.31>}
 object{wheel(5,0) rotate 180*y scale .0125 translate <.75,.35,-1.31>}
 object{wheel(5,0) rotate wheels_angle*y scale .0125 translate <-.75,.35,-1.3+2.575>}
 object{wheel(5,0) rotate 180*y rotate wheels_angle*y scale .0125 translate <.75,.35,-1.3+2.575>}
 object{carplate rotate 180*y translate <0,.44,2.14>}
 object{carplate translate <0,.85,-2.09>}
 object{front_seat scale .95 translate <.4,.35,-.3>}
 object{front_seat scale .95 translate <-.4,.35,-.3>}
 object{back_seat scale .9 translate <0,.35,-1.1>}
}
#end
