// *** CAR 4 MACRO ***

// *** car pieces ***
#include "i_car-textures.inc"
#include "i_car-body-4.inc" 
#include "i_car-wheel.inc"
#include "i_car-plate.inc"
#include "i_car-seat-front.inc"
#include "i_car-seat-back.inc"

// *** car assembly ***
#macro jvp_car_4(t_paint,wheels_angle)
union{
 object{car_body_4(t_paint) hollow scale <-1,1,1> rotate 1.5*x translate .84*y}
 object{wheel(4,0) scale .0125 translate <-.67,.35,-1.34>}
 object{wheel(4,0) rotate 180*y scale .0125 translate <.67,.35,-1.34>}
 object{wheel(4,0) rotate wheels_angle*y scale .0125 translate <-.67,.35,-1.3+2.53>}
 object{wheel(4,0) rotate 180*y rotate wheels_angle*y scale .0125 translate <.67,.35,-1.3+2.53>}
 object{carplate rotate 180*y translate <0,.38,2.05>}
 object{carplate translate <0,.832,-2.1>}
 object{front_seat scale .95 translate <.4,.35,-.3>}
 object{front_seat scale .95 translate <-.4,.35,-.3>}
 object{back_seat scale .9 translate <0,.35,-1.1>}
}
#end
