// *** CAR 5 MACRO ***

// *** car pieces ***
#include "i_car-textures.inc"
#include "i_car-body-5.inc" 
#include "i_car-wheel.inc"
#include "i_car-plate.inc"
#include "i_car-logos.inc"
#include "i_car-seat-front.inc"
#include "i_car-seat-back.inc"

// *** car assembly ***
#macro jvp_car_5(t_paint,wheels_angle)
union{
 object{car_body_5(t_paint) scale <-1,1,1> translate .57*y}
 object{wheel(2,0) scale .0125 translate <-.7,.35,-1.25>}
 object{wheel(2,0) rotate 180*y scale .0125 translate <.7,.35,-1.25>}
 object{wheel(2,30) rotate wheels_angle*y scale .0125 translate <-.7,.35,-1.25+2.5>}
 object{wheel(2,30) rotate 180*y rotate wheels_angle*y scale .0125 translate <.7,.35,-1.25+2.5>}
 object{carplate rotate 180*y translate <0,.35,2.19>}
 object{carplate translate <0,.35,-1.91>}
 object{car_logo rotate 180*y rotate -45*x translate <0,.67,2.12>}
 object{front_seat scale .85 translate <.35,.35,-.27>}
 object{front_seat scale .85 translate <-.35,.35,-.27>}
 object{back_seat scale .8 translate <0,.35,-1>}
}
#end
